Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Class PriorityDeque

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractQueue<java.lang.Object>
              dioscuri.module.cpu32.PriorityDeque

All Implemented Interfaces:
  Deque<java.lang.Object>, java.lang.Iterable<java.lang.Object>, java.util.Collection<java.lang.Object>, java.util.Queue<java.lang.Object>

    public class PriorityDeque

extends java.util.AbstractQueue<java.lang.Object>
implements Deque<java.lang.Object>

Author:
  Bram Lohman, Bart Kiers

Constructor Summary
`PriorityDeque()`
`PriorityDeque(int initialCapacity)`

Method Summary
`void` | `addFirst(java.lang.Object o)`
`void` | `addLast(java.lang.Object o)`
`boolean` | `contains(java.lang.Object o)`
`java.util.Iterator<java.lang.Object>` | `descendingIterator()`
`java.lang.Object` | `getFirst()`
`java.lang.Object` | `getLast()`
`java.util.Iterator<java.lang.Object>` | `iterator()`
`static void` | `main(java.lang.String[] args)`
`boolean` | `offer(java.lang.Object o)`
`boolean` | `offerFirst(java.lang.Object o)`
`boolean` | `offerLast(java.lang.Object o)`
`java.lang.Object` | `peek()`
`java.lang.Object` | `peekFirst()`
`java.lang.Object` | `peekLast()`
`java.lang.Object` | `poll()`
`java.lang.Object` | `pollFirst()`
`java.lang.Object` | `pollLast()`
`java.lang.Object` | `pop()`
`void` | `push(java.lang.Object o)`
`boolean` | `remove(java.lang.Object o)`
`java.lang.Object` | `removeFirst()`
`boolean` | `removeFirstOccurrence(java.lang.Object o)`
`java.lang.Object` | `removeLast()`
`boolean` | `removeLastOccurrence(java.lang.Object o)`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.util.AbstractQueue
`add, addAll, clear, element, remove`

Methods inherited from class java.util.AbstractCollection
`containsAll, isEmpty, removeAll, retainAll, toArray, toArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface dioscuri.util.Deque
`add, element, remove`

Methods inherited from interface java.util.Collection
`addAll, clear, containsAll, equals, hashCode, isEmpty, removeAll, retainAll, toArray, toArray`

Constructor Detail

### PriorityDeque

    public PriorityDeque()

### PriorityDeque

    public PriorityDeque(int initialCapacity)

Parameters:
  `initialCapacity` -

Method Detail

### descendingIterator

    public java.util.Iterator<java.lang.Object> descendingIterator()

  Specified by:
    `descendingIterator` in interface `Deque<java.lang.Object>`
  Returns:
    -

### iterator

    public java.util.Iterator<java.lang.Object> iterator()

  Specified by:
    `iterator` in interface `Deque<java.lang.Object>`
  Specified by:
    `iterator` in interface `java.lang.Iterable<java.lang.Object>`
  Specified by:
    `iterator` in interface `java.util.Collection<java.lang.Object>`
  Specified by:
    `iterator` in class `java.util.AbstractCollection<java.lang.Object>`

### removeLastOccurrence

    public boolean removeLastOccurrence(java.lang.Object o)

  Specified by:
    `removeLastOccurrence` in interface `Deque<java.lang.Object>`
  Returns:
    -

### removeFirstOccurrence

    public boolean removeFirstOccurrence(java.lang.Object o)

  Specified by:
    `removeFirstOccurrence` in interface `Deque<java.lang.Object>`
  Returns:
    -

### size

    public int size()

  Specified by:
    `size` in interface `Deque<java.lang.Object>`
  Specified by:
    `size` in interface `java.util.Collection<java.lang.Object>`
  Specified by:
    `size` in class `java.util.AbstractCollection<java.lang.Object>`

### contains

    public boolean contains(java.lang.Object o)

  Specified by:
    `contains` in interface `Deque<java.lang.Object>`
  Specified by:
    `contains` in interface `java.util.Collection<java.lang.Object>`
  Overrides:
    `contains` in class `java.util.AbstractCollection<java.lang.Object>`

### remove

    public boolean remove(java.lang.Object o)

  Specified by:
    `remove` in interface `Deque<java.lang.Object>`
  Specified by:
    `remove` in interface `java.util.Collection<java.lang.Object>`
  Overrides:
    `remove` in class `java.util.AbstractCollection<java.lang.Object>`

### pop

    public java.lang.Object pop()

  Specified by:
    `pop` in interface `Deque<java.lang.Object>`
  Returns:
    -

### push

    public void push(java.lang.Object o)

  Specified by:
    `push` in interface `Deque<java.lang.Object>`

### peek

    public java.lang.Object peek()

  Specified by:
    `peek` in interface `Deque<java.lang.Object>`
  Specified by:
    `peek` in interface `java.util.Queue<java.lang.Object>`

### poll

    public java.lang.Object poll()

  Specified by:
    `poll` in interface `Deque<java.lang.Object>`
  Specified by:
    `poll` in interface `java.util.Queue<java.lang.Object>`

### offerLast

    public boolean offerLast(java.lang.Object o)

  Specified by:
    `offerLast` in interface `Deque<java.lang.Object>`
  Returns:
    -

### offerFirst

    public boolean offerFirst(java.lang.Object o)

  Specified by:
    `offerFirst` in interface `Deque<java.lang.Object>`
  Returns:
    -

### addLast

    public void addLast(java.lang.Object o)

  Specified by:
    `addLast` in interface `Deque<java.lang.Object>`

### addFirst

    public void addFirst(java.lang.Object o)

  Specified by:
    `addFirst` in interface `Deque<java.lang.Object>`

### getFirst

    public java.lang.Object getFirst()

  Specified by:
    `getFirst` in interface `Deque<java.lang.Object>`
  Returns:
    -

### removeFirst

    public java.lang.Object removeFirst()

  Specified by:
    `removeFirst` in interface `Deque<java.lang.Object>`
  Returns:
    -

### offer

    public boolean offer(java.lang.Object o)

  Specified by:
    `offer` in interface `Deque<java.lang.Object>`
  Specified by:
    `offer` in interface `java.util.Queue<java.lang.Object>`

### pollFirst

    public java.lang.Object pollFirst()

  Specified by:
    `pollFirst` in interface `Deque<java.lang.Object>`
  Returns:
    -

### peekFirst

    public java.lang.Object peekFirst()

  Specified by:
    `peekFirst` in interface `Deque<java.lang.Object>`
  Returns:
    -

### pollLast

    public java.lang.Object pollLast()

  Specified by:
    `pollLast` in interface `Deque<java.lang.Object>`
  Returns:
    -

### peekLast

    public java.lang.Object peekLast()

  Specified by:
    `peekLast` in interface `Deque<java.lang.Object>`
  Returns:
    -

### getLast

    public java.lang.Object getLast()

  Specified by:
    `getLast` in interface `Deque<java.lang.Object>`
  Returns:
    -

### removeLast

    public java.lang.Object removeLast()

  Specified by:
    `removeLast` in interface `Deque<java.lang.Object>`
  Returns:
    -

### main

    public static final void main(java.lang.String[] args)

  Parameters:
    `args` -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.AbstractCollection<java.lang.Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD